.eLibraryDefaultPadding {
  padding-top: 50px;
  padding-bottom: 25px;
}

.search-container {
  position: relative;
  width: 100%;
  margin: 0 auto;
}

.search-icon {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  color: #888;
  font-size: 16px;
  pointer-events: none;
}

.post-item {
  transition: all 0.4s ease-in-out;
  border-radius: 6px;
  padding: 10px;
}

.post-item:hover {
  background-color: #f9f9f9;
  transform: translateY(-2px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.08);
}

.post-item img {
  transition: transform 0.4s ease-in-out;
}

.post-item:hover img {
  transform: translateY(-2px);
}

.custom-modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.6);
}

.custom-modal-content {
  background-color: #fff;
  margin: 10% auto;
  padding: 30px;
  border-radius: 8px;
  width: 95%;
  max-width: 800px;
  position: relative;
}

.custom-modal-close {
  position: absolute;
  right: 20px;
  top: 10px;
  font-size: 28px;
  cursor: pointer;
}
